using DataSharing.Share.Dtos.Province.HuiJu;
using FluentValidation;

namespace DataSharing.Validators.HuiJu
{
    public class SubmitCaseProcessInfoValidator : AbstractValidator<SubmitCaseProcessInfo>
    {
        public SubmitCaseProcessInfoValidator()
        {
            RuleFor(d => d.AreaCode).NotEmpty();
            RuleFor(d => d.CaseSerial).NotEmpty();
            RuleFor(d => d.DeptName).NotEmpty();
            RuleFor(d => d.TacheName).NotEmpty();
            RuleFor(d => d.ProcessTime).NotEmpty();
            RuleFor(d => d.ProcessName).NotEmpty();
            RuleFor(d => d.ProcessNote).NotEmpty();
            RuleFor(d => d.CaseId).NotEmpty();
            RuleFor(d => d.CliengGuid).NotEmpty();
            RuleFor(d => d.EndAreaCode).NotEmpty();
            RuleFor(d => d.EndAreaName).NotEmpty();
        }
    }
}
